# GoodGit: Git, but with a Human Touch 🎉

### It only takes 4 minutes, not 4 years to master git! 😎

https://github.com/brainspoof/goodgit/assets/78320447/e8115809-c000-4f19-a941-e606a0cca711


GoodGit is the brainchild of community frustrations – a chorus of developers who wanted Git to be friendlier. We listened. We coded. Now, we present to you GoodGit: Git, as it should be - intuitive, quick, and with a human touch.

## Features 🌟

- **Simplified Commands**: Because 'intuitive' is not just a buzzword.
- **AI-Powered Commit Messages**: Say goodbye to commit message writer's block.
- **SSH Setup in a Snap**: We value your time. Setting up SSH keys is now a breeze.
- **Multi-Account Flow**: Effortlessly juggle between work and personal Git accounts.
- **Effortless Search**: Zero in on that elusive commit or branch with ease.
- **Branching Simplified**: Focus on your work, not on stashing and managing branches.
- **Direct Publish**: Seamlessly push your projects to GitHub. No more context switching.   

   
### Upcoming Features 🚀

- **AI Merge Conflict Resolution**: Let AI handle the tough parts of merging.
- **GUI**: For when you want to point-and-click instead of type-and-peck.

   
## Prerequisites 🛠

- Python
- Pip
- Internet Connection (It's the digital era, after all!)
- A Pair of Hands (Preferably attached to a human who can type.)


  
## Installation 💻

Jump into GoodGit goodness with:

```bash
pip install goodgit
```


## Usage 🛠️

Simplified Git Commands
Forget the convoluted commands. With GoodGit, you get the power without the complexity.

### Add Files
add files like you're used to

```bash
gg add <files-to-add>
```


### Commit
You write code; AI writes the commit message for you!

```bash
gg commit
```


### Uncommit
Uncommit the oops commits

```bash
gg uncommit
```


### Time Travel
Time-Travel through your history, make it your present if you like it

```bash
gg timetravel
```
*or*
```bash
gg tt
```


**Bring the time-travelled commit to the present.**
```bash
gg tt apply
```


### search
What you want is just a search away

```bash
gg search
```


### branch
No stashing; no worries! Just start branching

```bash
gg branch
```
*or*
```bash
gg b
```


### setup
No more irritating SSH, set it it in T-10 seconds.   
Have multiple accounts? Set them up too!

```bash
gg search
```



### publish
Just started a project? Don't leave your terminal to add it to github!

```bash
gg publish
```



### web
open your repo in the browser from the terminal

```bash
gg web
```


## Contributing 🤝
Join the crew! Your expertise is the secret sauce to make GoodGit even better.

**Got an idea?** Open an issue.  
**Got code?** Pull, request it.   
**Found a bug?** We're on it, just let us know.   


Become a part of the GoodGit story at **https://goodgit.io/** - where we're turning ***'dang it, Git!'*** into **'Yay, Good Git!'**
